Subject: Sound triggers and camera animations
Description

Implement sound triggers and camera animations during missions. We have to be able to play sounds at a given moment or event
during a mission. The sounds can be attached to a NPC, a player in the game or they can just be at a specific location. Sounds can
also be different in function of the language of the player.
Beside the sounds, I will implement camera animations that can be played at any moment in the game. The animations can be
rotations over the time and/or movements over the time. Some special animations like shaking animation will be implemented too.
With the animations we will also have some text that can be displayed at the bottom of the screen to describe the objectives of a
mission for example.

Everything will be configurable via the world editor and will be kept as simple as possible and as generic as possible to be easily
scalable and integrated in the game.

History
#1 - 05/18/2012 12:26 pm - kaetemi
- File sheet_id.bin added

#2 - 06/02/2012 06:15 pm - kaetemi
- File sheet_id.bin added

#3 - 06/07/2012 12:26 pm - kaetemi
- File sheet_id.bin added

#4 - 06/14/2012 09:29 pm - Fabien_HENON
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6b900906a2d4.

#5 - 06/14/2012 09:36 pm - Fabien_HENON
- Status changed from Resolved to Assigned
- % Done changed from 100 to 40

Parsing of camera animations and sound triggers in EGS done.

Files
sheet_id.bin 3.9 MB 05/18/2012 kaetemi
sheet_id.bin 3.9 MB 06/02/2012 kaetemi
sheet_id.bin 3.9 MB 06/07/2012 kaetemi
